## Playlist Import export

### The Issue

- Has a user I want to share a list of tracks privately to mmy friends
- Has a user I want to have a single container to curate my content (not playlist and libraries, only playlists)

### Proposed Solution

The users can request access to the playlist content to the playlist owner

### Feature Behavior

Users will be able to click on a "Request access to playlist audios files" button. This is a `LibraryFollow` request of the `playlist.library`. Not to be confused with the playlist follow request (see #-followup)

#### Backend

- [x] `PlaylistViewSet` `add` `clear` `remove` update the uploads.playlist_libraries relationships
- [x] `PlaylistViewSet` `add` `clear` `remove` -> `schedule_scan` -> Update activity to remote -> playlist.library scan on remote
- [x] library and playlist scan delay are long (24h), force on ap update
- [x] make sure only owned upload are added to the playlist.library
- [x] update the "drop library" migrations to use the playlist.library instead of user follow
- [ ] make sure user get the new libraries created after library drop

### Follow up

- [ ] Finish library drop (delete libraries endpoints)
- [ ] Playlist discovery : fetch federation endpoint for playlists
- [ ] Playlist discovery : add the playlist to my playlist collection = follow request to playlist
